Bug 21362 - Remove deprecated Glib symbols
Remove deprecated Glib symbols
Status: RESOLVED FIXED
Product: dbus
Classification: Unclassified
Component: GLib
unspecified
x86 (IA32) All
: medium minor
Assigned To: Colin Walters
John (J5) Palmieri
: janitor
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-23 10:13 UTC by Andre Klapper
Modified: 2009-07-01 12:42 UTC (History)
1 user (show)

See Also:


Attachments
git diff (7.19 KB, patch)
2009-04-26 07:35 UTC, Jason Leach
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andre Klapper 2009-04-23 10:13:25 UTC
According to http://www.gnome.org/~fpeters/299.html
dbus-glib (0.76) uses deprecated Glib symbols.
Also see http://live.gnome.org/GnomeGoals/RemoveDeprecatedSymbols/Glib and http://library.gnome.org/devel/glib/stable/ .

(If this is already fixed in later versions and dbus-glib compiles with the parameters described on the live.gnome.org page, GNOME release-team should increase the version dependency.)

Complete list:
"g_io_channel_close, g_main_run, g_value_set_boxed_take_ownership, g_value_set_object_take_ownership"


$:andre\> cd dbus-glib-0.76/
$:andre\> grep -r g_io_channel_close .
./dbus/dbus-binding-tool-glib.c:      g_io_channel_close (data.channel);
./dbus/dbus-binding-tool-glib.c:  g_io_channel_close (data.channel);
./dbus/dbus-binding-tool-glib.c:  g_io_channel_close (genmarshal_stdout);

$:andre\> grep -r g_main_run .
./test/core/test-thread-server.c:  g_main_run (loop);  
./test/core/test-thread-client.c:  g_main_run (loop);  

$:andre\> grep -r g_value_set_boxed_take_ownership .
./dbus/dbus-gvalue.c:  g_value_set_boxed_take_ownership (value, variant_val);
./dbus/dbus-gvalue.c:  g_value_set_boxed_take_ownership (value, g_strdup (objpath));
./dbus/dbus-gvalue.c:  g_value_set_boxed_take_ownership (value, ret);
./dbus/dbus-gvalue.c:  g_value_set_boxed_take_ownership (value, ret);
./dbus/dbus-gvalue.c:  g_value_set_boxed_take_ownership (value, ret);
./dbus/dbus-gvalue.c:  g_value_set_boxed_take_ownership (value,
./dbus/dbus-gvalue.c:  g_value_set_boxed_take_ownership (value, instance);
./dbus/dbus-gvalue.c:  g_value_set_boxed_take_ownership (value, ret);
./dbus/dbus-gvalue-utils.c:    g_value_set_boxed_take_ownership (&val, instance);
./dbus/dbus-gvalue-utils.c:    g_value_set_boxed_take_ownership (&val, instance);
./dbus/dbus-gvalue-utils.c:      g_value_set_boxed_take_ownership (&valval, eltval);
./dbus/dbus-gvalue-utils.c:      g_value_set_boxed_take_ownership (&valval, eltval);
./dbus/dbus-gvalue-utils.c:    g_value_set_boxed_take_ownership (&val, instance);
./dbus/dbus-gvalue-utils.c:    g_value_set_boxed_take_ownership (&val, instance);
./dbus/dbus-gvalue-utils.c:    g_value_set_boxed_take_ownership (&val, instance);
./test/core/test-dbus-glib.c:    g_value_set_boxed_take_ownership (variant, array);

$:andre\> grep -r g_value_set_object_take_ownership .
./dbus/dbus-gvalue.c:  g_value_set_object_take_ownership (value, new_proxy);
Comment 1 Jason Leach 2009-04-26 07:34:50 UTC
The master git branch (version 0.81) still contains the listed deprecated symbols. Attaching a patch that updates all of them (most were simple s/foo/bar/ type replacements).
Comment 2 Jason Leach 2009-04-26 07:35:13 UTC
Created attachment 25150 [details] [review]
git diff
Comment 3 Rob Taylor 2009-06-21 11:03:04 UTC
This looks good to me, but assigning to Colin for his take.
Comment 4 Colin Walters 2009-07-01 12:42:02 UTC
Committed, thank you!